Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class WrongTransaction

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.WrongTransaction

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

Deprecated. Use the WRONG_TRANSACTION system exception

public final class WrongTransaction
extends SystemException

Deprecated WrongTransaction exception class

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`WrongTransaction()` Deprecated. Default Constructor
`WrongTransaction(java.lang.String reason)` Deprecated. This constructor precises a reason.
`WrongTransaction(java.lang.String reason, int minor, CompletionStatus completed)` Deprecated. This constructor is the most complete.

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrongTransaction

    public WrongTransaction()

  Deprecated.
  Default Constructor

### WrongTransaction

    public WrongTransaction(java.lang.String reason)

  Deprecated.
  This constructor precises a reason. A default minor code ( 0 ), and a default completion status ( by default COMPLETED_NO ).
  Parameters:
    `reason` - exception reason.

### WrongTransaction

    public WrongTransaction(java.lang.String reason,
                            int minor,
                            CompletionStatus completed)

  Deprecated.
  This constructor is the most complete. It precises a reason, a minor code and a completion status.
  Parameters:
    `reason` - Exception reason
    `minor` - Exception minor code
    `completed` - Exception completion status

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD